#
# spec file for package opensc (Version 0.9.6)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db db-devel diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libusb libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openct openct-devel openldap2-client openldap2-devel openssl openssl-devel pam pam-devel pam-modules patch pcsc-lite perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           opensc
BuildRequires:  db-devel krb5-devel openct-devel openldap2-devel pam-devel pcsc-lite resmgr
Url:            http://www.opensc-project.org/opensc/
Version:        0.9.6
Release:        17.12
Group:          Hardware/Other
Summary:        OpenSC Smart Card Library
License:        LGPL v2.1 or later
Requires:       pcsc-lite
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        opensc-%{version}.tar.bz2
Source1:        http://www.opensc.org/files/doc/init_perso_guide.html
Patch0:         opensc-gcc4.patch
Patch1:         opensc-cardos-CVE-2008-2235.patch
# PATCH-FIX-UPSTREAM opensc-svn-r3605.patch bnc480262 opensc-0.11.7 CVE-2009-0368 sbrabec@suse.cz -- Unrestricted private data access fix.
Patch2:         opensc-svn-r3605.patch
AutoReqProv:    on
%debug_package

%package devel
License:        LGPL v2.1 or later
Group:          Development/Libraries/Other
Summary:        Additional files needed for OpenSC development
Requires:       opensc = %{version}

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2

%build
rm -f aclocal/libtool.m4
libtoolize --force
#./bootstrap
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -DLDAP_DEPRECATED" \
./configure --prefix=/usr \
	--includedir=%{_includedir}/opensc \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--with-pcsclite=/usr \
	--with-openct=/usr \
	--with-pam \
	--libdir=%{_libdir}
make

%install
export DESTDIR=$RPM_BUILD_ROOT
make install DESTDIR=$DESTDIR
# Move pam modules to /lib
mkdir -p $DESTDIR/%{_lib}/security
mv $DESTDIR/usr/%{_lib}/security/pam_*.so $DESTDIR/%{_lib}/security
mkdir -p $DESTDIR/%{_sysconfdir}
for f in opensc.conf scldap.conf; do
	#mv $DESTDIR/usr/share/opensc/$f.example $DESTDIR/%{_sysconfdir}/$f
	rm -f $DESTDIR/usr/share/opensc/$f.example
done
rm -f $DESTDIR/usr/%{_lib}/security/pam_*.*a
mv $DESTDIR/usr/%{_lib}/pkcs11/libpkcs11* $DESTDIR/usr/%{_lib}
rm -f $DESTDIR/usr/%{_lib}/opensc/*.a
# Broken header file install
mv $DESTDIR%{_includedir}/opensc/opensc/* $DESTDIR%{_includedir}/opensc
rmdir $DESTDIR%{_includedir}/opensc/opensc
# Install opensc.conf
install -m 644 etc/opensc.conf $DESTDIR/etc
# Copy init_perso.html to docs so it's installed
cp %{SOURCE1} docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc COPYING *README* NEWS AUTHORS QUICKSTART
%doc docs/*.html docs/*.css
%config /etc/opensc.conf
/usr/bin/*
%_libdir/lib*.so.*
%_libdir/libscam.so
%dir %_libdir/pkcs11
%_libdir/opensc
%_libdir/pkcs11/opensc-pkcs11.so
%dir /usr/share/opensc
/usr/share/opensc/*.profile
%_mandir/man?/*
/%_lib/security/pam*.so
%dir %{_libdir}/opensc
%_libdir/pkcs11/pkcs11-spy.so

%files devel
%defattr(-,root,root)
%_libdir/libopensc.so
%_libdir/libpkcs11.so
%_libdir/libscconf.so
%_libdir/libscldap.so
%_libdir/libpkcs15init.so
%_libdir/lib*.a
%_libdir/lib*.la
%_libdir/pkcs11/opensc-pkcs11.a
%_libdir/pkcs11/opensc-pkcs11.la
%_libdir/pkcs11/pkcs11-spy.a
%_libdir/pkcs11/pkcs11-spy.la
/usr/include/opensc
/%_libdir/pkgconfig/*.pc

%description
OpenSC provides a set of libraries and utilities to access smart cards.
Its main focus is on cards that support cryptographic operations, and
facilitate their use in security applications such as mail encryption,
authentication, and digital signature. OpenSC implements the PKCS#11
API so applications supporting this API such as Mozilla Firefox and
Thunderbird can use it. OpenSC implements the PKCS#15 standard and aims
to be compatible with every software that does so, too.



Authors:
--------
    Juha Yrjl <jyrjola@cc.hut.fi>
    Antti Tapaninen <aet@cc.hut.fi>
    Timo Ters <timo.teras@iki.fi>
    Olaf Kirch <okir@suse.de>

%description devel
This package contains files required to develop applications using the
OpenSC framework.



Authors:
--------
    Juha Yrjl <juha.yrjola@iki.fi>
    Antti Tapaninen <aet@cc.hut.fi>
    Timo Ters <timo.teras@iki.fi>
    Olaf Kirch <okir@caldera.de>

%changelog
* Thu Mar 05 2009 - sbrabec@suse.cz
- Fixed card formatting with unrestricted private data access
  (bnc#480262, CVE-2009-0368).
* Mon Sep 01 2008 - sbrabec@suse.cz
- Check validity of SSL certificates for all Siemens CardOS M4
  cards (SCA and SCB are affected as well, bnc#413496#c6).
* Thu Jul 31 2008 - sbrabec@suse.cz
- Fixed initialization access rights for Siemens CardOS M4, added
  a security check to pkcs15-tool (bnc#413496, CVE-2008-2235)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - ro@suse.de
- added unpackaged so-links to devel filelist
* Tue Oct 25 2005 - rhafer@suse.de
- added LDAP_DEPRECATED to CFLAGS to build correctly with·
  OpenLDAP 2.3
* Fri Sep 02 2005 - okir@suse.de
- Removed +x permissions on opensc.conf (#114849)
* Thu Jul 14 2005 - okir@suse.de
- Updated to latest upstream version
- Added missing documentation files (#75425)
* Fri Mar 04 2005 - meissner@suse.de
- fixed gcc4 compilation.
* Fri Jan 21 2005 - okir@suse.de
- Updated to latest upstream version (0.9.4)
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Mon Jul 19 2004 - adrian@suse.de
- fix file list
* Mon Jul 12 2004 - adrian@suse.de
- update to version 0.8.1
* Fri Mar 19 2004 - okir@suse.de
- Fixed permissions and path names of some include files (#36432)
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig and %%defattr
* Mon Aug 04 2003 - okir@suse.de
- Build fixes for x86_64/ppc64
- use a version string other than "CVS" (#28423)
* Fri Aug 01 2003 - okir@suse.de
- Updated to most recent upstream snapshot
* Thu Jun 12 2003 - kukuk@suse.de
- Fix filelist and permissions
* Tue Jun 03 2003 - ro@suse.de
- added rest of static libs to devel filelist
- remove unpackaged files from buildroot
* Wed Jan 15 2003 - ro@suse.de
- use sasl2
* Thu Dec 05 2002 - okir@suse.de
- fixed x86_64 build problem
- updated to latest upstream
* Fri Nov 29 2002 - okir@suse.de
- updated to current CVS snapshot
* Fri Aug 09 2002 - okir@suse.de
- added missing libs to files list
* Thu Jul 04 2002 - ro@suse.de
- added heimdal-devel to neededforbuild to make libtool happy
* Fri Jun 28 2002 - schwab@suse.de
- Fix bootstrap script.
- Use correct libtool macros.
* Mon May 27 2002 - sf@suse.de
-  @libdir@ added to Makefile.am to use correct dirs for
  */lib */lib64
* Tue Apr 30 2002 - okir@suse.de
- Initial check-in
